/**
* @par Copyright (C): 2010-2019, Shenzhen Yahboom Tech
* @file         servo.ino
* @author       chengengyue
* @version      V1.0
* @date         2019.10.08
* @brief        舵机校准
* @details
* @par History  见如下说明
*/
// 导入库文件
#include <Adafruit_PWMServoDriver.h>
#include "Wire.h"

// 初始化PCA9685
Adafruit_PWMServoDriver pwm = Adafruit_PWMServoDriver(0x40);

/* 舵机相关参数 */
int servo_degree = 90;

/**
* Function       servo
* @author        chengengyue
* @date          2019.10.08
* @brief         控制舵机角度
* @param[in1]    void
* @retval        void
* @par History   无
*/
void servo(int degree)
{
  long us = (degree * 1800 / 180 + 600); // 0.6 ~ 2.4
  long pwmvalue = us * 4096 / 20000;     // 50hz: 20,000 us
  pwm.setPWM(7, 0, pwmvalue);
}

/**
* Function       setup
* @author        chengengyue
* @date          2019.10.08
* @brief         初始化配置
* @param[in]     void
* @retval        void
* @par History   无
*/
void setup() {
  // put your setup code here, to run once:
  // 使能I2C通讯
  Wire.begin();       
  
  // 初始化电机驱动IO为输出方式
  pwm.begin();
  pwm.setPWMFreq(60); // Analog servos run at ~60 Hz updates
  servo(servo_degree);  // 设置舵机为90度
}

/**
* Function       loop
* @author        chengengyue
* @date          2019.10.08
* @brief         主循环函数
* @param[in]     void
* @retval        void
* @par History   无
*/
void loop() {
  // put your main code here, to run repeatedly:
}
